OGRE: Ogre::MapIterator< T > Class Template Reference - OGRE Documentation

Public Types | Public Member Functions | Protected Attributes

# Ogre::MapIterator< T > Class Template Reference

Concrete IteratorWrapper for nonconst access to the underlying key-value container. More...

`#include <OgreIteratorWrapper.h>`

Inheritance diagram for Ogre::MapIterator< T >:
[legend]

List of all members.

## Public Types
typedef IteratorWrapper< T, T::iterator, typename T::mapped_type >::ValueType | ValueType
| redefined ValueType for a map/set
typedef IteratorWrapper< T, T::iterator, typename T::mapped_type >::PointerType | PointerType
| redefined PointerType for a map/set
typedef T::value_type | PairType
| unused, just to make it clear that map/setvalue_type is not a ValueType
typedef T::key_type | KeyType
| type you expect to get by funktions like peekNextKey
typedef T::iterator | iterator
| typedef to fulfill container interface
typedef T::iterator | const_iterator
| typedef to fulfill container interface
## Public Member Functions
| MapIterator (typename T::iterator start, typename T::iterator last)
| Constructor.
| MapIterator (T &c)
| Constructor.
KeyType | peekNextKey (void) const
| Returns the next(=current) key element in the collection, without advancing to the next.
ValueType | peekNextValue () const
| Returns the next(=current) value element in the collection, without advancing to the next.
const PointerType | peekNextValuePtr () const
| Returns a pointer to the next/current value element in the collection, without advancing to the next afterwards.
ValueType | getNext ()
| Returns the next(=current) value element in the collection, and advances to the next.
bool | hasMoreElements () const
| Returns true if there are more items in the collection.
void | moveNext ()
| Moves the iterator on one element.
const T::iterator & | begin ()
| bookmark to the begin of the underlying collection
T::iterator & | current ()
| full access to the current iterator
const T::iterator & | end ()
| bookmark to the end (one behind the last element) of the underlying collection
## Protected Attributes
T::iterator | mBegin
T::iterator | mCurrent
T::iterator | mEnd

## Detailed Description

### template<typename T>
class Ogre::MapIterator< T >

Concrete IteratorWrapper for nonconst access to the underlying key-value container.

Parameters:

  | T | key-value container

Definition at line 321 of file OgreIteratorWrapper.h.

## Member Typedef Documentation

typedef T::iterator Ogre::IteratorWrapper< T, T::iterator , T::mapped_type >::const_iterator`[inherited]`

typedef to fulfill container interface

Userfull if you want to use BOOST_FOREACH

Note:
  there is no distinction between const_iterator and iterator.
  keep this in mind if you want to derivate from this class.

Definition at line 82 of file OgreIteratorWrapper.h.

typedef T::iterator Ogre::IteratorWrapper< T, T::iterator , T::mapped_type >::iterator`[inherited]`

typedef to fulfill container interface

Userfull if you want to use BOOST_FOREACH

Note:
  there is no distinction between const_iterator and iterator.
  keep this in mind if you want to derivate from this class.

Definition at line 73 of file OgreIteratorWrapper.h.

typedef T::key_type Ogre::MapIteratorWrapper< T, T::iterator >::KeyType`[inherited]`

type you expect to get by funktions like peekNextKey

Definition at line 267 of file OgreIteratorWrapper.h.

typedef T::value_type Ogre::MapIteratorWrapper< T, T::iterator >::PairType`[inherited]`

unused, just to make it clear that map/setvalue_type is not a ValueType

Definition at line 265 of file OgreIteratorWrapper.h.

typedef IteratorWrapper<T, T::iterator , typename T::mapped_type>::PointerType Ogre::MapIteratorWrapper< T, T::iterator >::PointerType`[inherited]`

redefined PointerType for a map/set

Reimplemented from Ogre::IteratorWrapper< T, T::iterator, T::mapped_type >.

Definition at line 262 of file OgreIteratorWrapper.h.

typedef IteratorWrapper<T, T::iterator , typename T::mapped_type>::ValueType Ogre::MapIteratorWrapper< T, T::iterator >::ValueType`[inherited]`

redefined ValueType for a map/set

Reimplemented from Ogre::IteratorWrapper< T, T::iterator, T::mapped_type >.

Definition at line 260 of file OgreIteratorWrapper.h.

## Constructor & Destructor Documentation

template<typename T>

Ogre::MapIterator< T >::MapIterator | ( | typename T::iterator | start,
|  | typename T::iterator | last |
| ) |  |  |

Constructor.

Remarks:
  Provide a start and end iterator to initialise.

Definition at line 328 of file OgreIteratorWrapper.h.

template<typename T>

Ogre::MapIterator< T >::MapIterator | ( | T & | c | ) | `[explicit]`

Constructor.

Remarks:
  Provide a container to initialise.

Definition at line 337 of file OgreIteratorWrapper.h.

## Member Function Documentation

const T::iterator & Ogre::IteratorWrapper< T, T::iterator , T::mapped_type >::begin | ( |  | ) | `[inherited]`

bookmark to the begin of the underlying collection

Definition at line 112 of file OgreIteratorWrapper.h.

T::iterator & Ogre::IteratorWrapper< T, T::iterator , T::mapped_type >::current | ( |  | ) | `[inherited]`

full access to the current iterator

Definition at line 116 of file OgreIteratorWrapper.h.

const T::iterator & Ogre::IteratorWrapper< T, T::iterator , T::mapped_type >::end | ( | void |  | ) | `[inherited]`

bookmark to the end (one behind the last element) of the underlying collection

Definition at line 119 of file OgreIteratorWrapper.h.

ValueType Ogre::MapIteratorWrapper< T, T::iterator >::getNext | ( | void |  | ) | `[inherited]`

Returns the next(=current) value element in the collection, and advances to the next.

Definition at line 301 of file OgreIteratorWrapper.h.

bool Ogre::IteratorWrapper< T, T::iterator , T::mapped_type >::hasMoreElements | ( |  | ) | const`[inherited]`

Returns true if there are more items in the collection.

Definition at line 99 of file OgreIteratorWrapper.h.

void Ogre::IteratorWrapper< T, T::iterator , T::mapped_type >::moveNext | ( |  | ) | `[inherited]`

Moves the iterator on one element.

Definition at line 106 of file OgreIteratorWrapper.h.

KeyType Ogre::MapIteratorWrapper< T, T::iterator >::peekNextKey | ( | void |  | ) | const`[inherited]`

Returns the next(=current) key element in the collection, without advancing to the next.

Definition at line 279 of file OgreIteratorWrapper.h.

ValueType Ogre::MapIteratorWrapper< T, T::iterator >::peekNextValue | ( |  | ) | const`[inherited]`

Returns the next(=current) value element in the collection, without advancing to the next.

Definition at line 286 of file OgreIteratorWrapper.h.

const PointerType Ogre::MapIteratorWrapper< T, T::iterator >::peekNextValuePtr | ( |  | ) | const`[inherited]`

Returns a pointer to the next/current value element in the collection, without advancing to the next afterwards.

Definition at line 294 of file OgreIteratorWrapper.h.

## Member Data Documentation

T::iterator Ogre::IteratorWrapper< T, T::iterator , T::mapped_type >::mBegin`[protected, inherited]`

Definition at line 54 of file OgreIteratorWrapper.h.

T::iterator Ogre::IteratorWrapper< T, T::iterator , T::mapped_type >::mCurrent`[protected, inherited]`

Definition at line 55 of file OgreIteratorWrapper.h.

T::iterator Ogre::IteratorWrapper< T, T::iterator , T::mapped_type >::mEnd`[protected, inherited]`

Definition at line 56 of file OgreIteratorWrapper.h.

The documentation for this class was generated from the following file:

- OgreIteratorWrapper.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:56